﻿using Composite.Core.Application;
using Composite.Data;
using Composite.C1Console.Security;


namespace AttachingCustomElementsSample
{
    [ApplicationStartup]
    public static class MyApplicationStartup
    {
        public static void OnBeforeInitialize()
        {
            
        }

        public static void OnInitialized()
        {
            AuxiliarySecurityAncestorFacade.AddAuxiliaryAncestorProvider<MyRootEntityToken>(new MyRootEntityTokenAuxiliarySecurityAncestorProvider(), true);

            AuxiliarySecurityAncestorFacade.AddAuxiliaryAncestorProvider<DataEntityToken>(new MyDataEntityTokenAuxiliarySecurityAncestorProvider());
        }
    }
}
