﻿using Composite.C1Console.Security;
using Composite.C1Console.Security.SecurityAncestorProviders;


namespace AttachingCustomElementsSample
{
    [SecurityAncestorProvider(typeof(NoAncestorSecurityAncestorProvider))]
    public sealed class MyRootEntityToken : EntityToken
    {
        public override string Type
        {
            get { return ""; }
        }

        public override string Source
        {
            get { return ""; }
        }

        public override string Id
        {
            get { return "MyRootEntityToken"; }
        }

        public override string Serialize()
        {
            return DoSerialize();
        }

        public static EntityToken Deserialize(string serializedEntityToken)
        {
            return new MyRootEntityToken();
        }
    }
}
